Show / Hide Table of Contents

# Class OpenIddictServerOwinHelpers

Exposes companion extensions for the OpenIddict/OWIN integration.

##### Inheritance

System.Object
OpenIddictServerOwinHelpers

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Owin

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictServerOwinHelpers

### Methods

#### GetOpenIddictServerEndpointType(IOwinContext)

Retrieves the instance stored in .

##### Declaration

    public static OpenIddictServerEndpointType GetOpenIddictServerEndpointType(this IOwinContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
IOwinContext | context | The context instance.

##### Returns

Type | Description
--- | ---
OpenIddictServerEndpointType | The .

#### GetOpenIddictServerRequest(IOwinContext)

Retrieves the instance stored in .

##### Declaration

    public static OpenIddictRequest? GetOpenIddictServerRequest(this IOwinContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
IOwinContext | context | The context instance.

##### Returns

Type | Description
--- | ---
System.Nullable<OpenIddictRequest> | The instance or `null` if it couldn't be found.

#### GetOpenIddictServerResponse(IOwinContext)

Retrieves the instance stored in .

##### Declaration

    public static OpenIddictResponse? GetOpenIddictServerResponse(this IOwinContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
IOwinContext | context | The context instance.

##### Returns

Type | Description
--- | ---
System.Nullable<OpenIddictResponse> | The instance or `null` if it couldn't be found.

#### GetOwinRequest(OpenIddictServerTransaction)

Retrieves the instance stored in the properties.

##### Declaration

    public static IOwinRequest? GetOwinRequest(this OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction | The transaction instance.

##### Returns

Type | Description
--- | ---
System.Nullable<IOwinRequest> | The instance or `null` if it couldn't be found.

#### UseOpenIddictServer(IAppBuilder)

Registers the OpenIddict server OWIN middleware in the application pipeline. Note: when using a dependency injection container supporting per-request middleware resolution (like Autofac), calling this method is NOT recommended.

##### Declaration

    public static IAppBuilder UseOpenIddictServer(this IAppBuilder app)

##### Parameters

Type | Name | Description
--- | --- | ---
IAppBuilder | app | The application builder used to register middleware instances.

##### Returns

Type | Description
--- | ---
IAppBuilder | The .